function init(hero) {
    hero.setName("Mii Brawler/SSBHP");
    hero.setTier(3);
    hero.setVersion("Super Smash Bros");

    hero.setHelmet("Head");
    hero.setChestplate("Torso");
    hero.setLeggings("Legs");
    hero.setBoots("Feet");

    
    hero.addAbilities("fiskheroes:geokinesis");
    hero.addAttribute("ATTACK_DAMAGE", 1.1, 1);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);
    hero.addAttribute("SWORD_DAMAGE", -0.25, 1);
    
    hero.addKeyBind("EARTHQUAKE", "key.earthquake", 1);
    hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 2);
	
	hero.setHasPermission(hasPermission);
	hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
	
	hero.setDefaultScale(1.0);
}

function shieldProfile(profile) {
    profile.addAttribute("ARROW_DAMAGE", 0.15, 1);
    profile.addAttribute("ATTACK_DAMAGE", 1.0, 1);
    profile.addAttribute("BOW_DRAWBACK", -0.6, 1);
    profile.addAttribute("FALL_RESISTANCE", 5.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.5, 0);
    profile.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.15, 1);
    profile.addAttribute("SWORD_DAMAGE", -0.25, 1);
}

function hasPermission(entity, permission) {
    return permission == "THROW_SHIELD" || permission == "USE_SHIELD" || permission == "USE_GRAPPLING_GUN";
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}